/**
 * webpack-dev
 */

const Webpack = require('webpack');
const { merge } = require('webpack-merge');
const commonConfig = require('./webpack.common');

module.exports = merge(commonConfig, {
    mode: 'development',
    cache: {
        type: 'memory',
        cacheUnaffected: true,
      },
    stats: 'errors-only',
    devServer: {
        host: 'localhost',
        open: true,
        https: true,
        port: 8080,
        bonjour: {
            type: 'https',
            protocol: 'tcp/ip'
        },
        client: {
            logging: 'info',
            overlay: false,
            progress: true
        },
        static: ['assets', 'static', 'public'],
        compress: true,
        proxy: {
            '/api': {
                target: 'https://localhost:3000',
                changeorigin: true,
                secure: true,
                pathRewrite: {
                    '^/api': ''
                }
            }
        }
    },
    devtool: 'eval-source-map',
    plugins: [
        new Webpack.DefinePlugin({
            IS_DEV: 'true'
        })
    ]
})